** UTF-8 encoding **
1.3.5:
- gcin 現在輸入注音 gtab輸入法時可以念出正在輸入的字，必須安裝語音資料庫於 /usr/share/gcin/ogg or /usr/local/share/gcin/ogg，還需要 ogg123 這個執行檔。
- gcin-setup po fix from caleb
- 新增在英數狀態是否要使用 alt-shift 片語輸入的選項。
- 詞音如果遇到同音詞，且這些同音詞都還沒用過，不會選第一個，造成不方便。
- 提供 Windows ctrl-,./;'  輸入標點符號的方式，不過 '：' 由於會與 ctrl-shift 衝，所以沒辦法用，目前暫時不想去理，反正替代的方式太多了。定義檔為  phrase-ctrl.table，必須中文輸入狀態才可以使用。
- more i18n fix from caleb
- 由某人提供的  --use_tsin=N 選項，可以把詞音的支援拿掉。
- 由 caleb 提供的 gcin-setup-tab
- 符號視窗不會顯示 gtab 輸入法按鍵 tip 的問題。
- 新的 mozilla 家族
- gtab 輸入法如果有比目前更短的拆法，拆字顯示區的顏色會變成黃色。
- gtab 新增是否要用?萬用字元的選項。
- 詞音空白鍵選項中的「送出編輯區內容」選項改成「輸入空白」。

1.3.4:
- 由於如果使用彈出式(popup) 輸入視窗，其實只有在顯示按鍵的時候需要移動視窗，這樣可以減少gcin在 firefox 一類 mozilla 家族程式的奇怪問題。現在也把popup 改成內定的選擇。用來用去，還是比較習慣不用 popup 的方式，不用一直看 tray 是中/英，比較不會按錯。
- gtab 如果選用不讓錯誤鍵進入(非傳統)，按下 space 時是無效的拆字，現在可以直接輸入下一個字，不用按 Escape 清除。
- 「唯一選擇時自動送出」這個選項在某些時候會造成 coredump 的問題。
- \ 現在可以定義輸入法了。
- gtab 輸入法選擇不允許錯誤鍵進入，按空白鍵出現紅色警告字不存在後，可以按空白鍵清除，也可以繼續按下一個未輸入的鍵，紅色也會清除。
-  詞音在按 CapsLock 輸入英文後有時候會造成前面已經對的詞後來又變錯的。
- FREEBSD 用 GTK_IM_MODULE=gcin 無法輸入英文的問題。
- gcin-setup 新增結束 gcin 的功能，只有從 gcin tray menu 內叫出 gcin-setup 才可以看到這個選項。
- gcin 如果重新執行，在之前執行的firefox 內輸入文字，gcin 的視窗就不會自動拉到最上面的問題。需更新 im-client。
- man page update from caleb.
- 由 winlin 提供的 icon files。
- gtab 如果定義的字串裏面含有 '<'，則會出現底下的訊息且無法顯示。Gtk-WARNING **: Failed to set text from markup due to error
- 純注音(ctrl-alt-3)現在也支援拼音了，所以現在可以用拼音注音查詢查詢其他的輸入法。
- build fix from Funda Wang.
- 由 caleb 提供的 gcin-setup i18n po patch，由於會對某些人造成困擾而且大部份的人不需要，configure 需要 --use_i18n=Y啟用。
- gtab 不允定義 & 的問題。
- 新增 詞音/gtab CapsLock英數狀態大小寫的選項。

1.3.3:
- 詞音新增同音字詞選擇鍵在後的選項，這樣做的好處是當你由左到右看到某個字詞符合後，就不用再回頭看是那一個鍵。
- 詞音Tab 斷詞改成可以在任意地方按，代表詞從這邊開頭，如果在結尾按則代表把最後一個字當開頭。例如輸入「他示意蜘蛛」，我們想要的是「他是一隻豬」，這時直接在結尾按 Tab 一次就可以了，代表把豬當成一個單字的詞。當使用者自己按空白鍵選詞時，會把這個手動斷詞清除。不過很可惜的，在某些程式不能用，例如 gedit，因為 gedit沒有把  Tab key 傳給 gcin 處理。為了解決這個問題，也可以改按 Escape。
- 詞音編輯區如果沒有東西，這時按 escape 鍵 gcin 會傳回不處理，所以 AP 會自己處理 escape 鍵。
- 在選字詞 menu 出現時按 escape 應該只把 menu 關閉，不要斷詞。
- gcin2tab 現在遇到沒有定義 keyname 的鍵會中斷而不是忽略。
- 詞音「試試新的」-> [是世新的]，由於單字詞「的」頻率出現次數過高，會造成錯誤，把較長斷詞的比重調高。
- gtab 選擇頁數號碼不會清除的問題。
- gtab 在只有顯示輸入鍵的情況，輸入視窗會超出螢幕的問題。
- gtab 垂直選擇頁數顯示錯誤。
- 簡易輸入法的問題。
- 嘗試解決 gcin 在 beryl/firefox 上的問題。不確定是否有用，在 mandriva cooker 上似乎可以。
- 新增注音鍵盤「神通」。
- 由某位提供的 ./configure --use_tray=N，不想要 tray 時可以用此選項。
- alsa2 與 im-client 起衝突的問題，造成 flash player coredump。必須 update libgcin-im-client.so。
- 為了解決 flashplayer9 當掉的問題，XIM 的 IMdkit 換成 scim 的，現在不用 unset XMODIFIERS 似乎也不會當了。如果你必須經常重新啟動 gcin 最好還是在 firefox 的 start-script 裏面用 unset XMODIFIERS，因為新的 IMdkit 在 gcin 重新啟動有時候還是會造成正在執行的 firefox coredump。而且這樣可以節省 memory。
- gtab 唯一選擇時自動送出的新選項。例如我們在倉頡裏面定義「benq 明基」，當按到 ben 時，由於此時沒有其他的是符合 'ben*'，這時候就會自動送出。
- []\ 現在也可以用來切換輸入法了。已經把拉丁字母及帶調粵拼放上去。

1.3.2:
- 新增編輯 gtab 輸入法外加字詞的功能，可以在 gcin-setup -> gtab 中執行。也可以自己手動編輯 ~/.gcin/xxx.gtab.append，其中 xxx 是你內定的 .gtab 輸入法，例如使用倉頡的人其 filename 就是 ~/.gcin/cj.gtab.append。gcin 會在按 ctrl-space 時檢查 file 是否有被修改，自動 reload。
- candyz 提供的 gtab 垂直選字詞的方式，以解決如果詞很長，無法完全顯示的問題。
- gtab 新增可以用  page up/down or keypad +- 跳頁。對嘸蝦米等 space 送出第一個且定義超過10個時就可以用到。
- gcin2tab 現在不會刪除重複的定義，如果不喜歡，請刪除 .cin 重複定義的部份。
- 超過 5 個 key 的時候，相同拆字鍵的字不會保留原來順序的問題。
- 現在 freebsd 上應該是不用 mergesort 了。
- 因為發現有不少人沒有設定 locale 為 zh_TW，也沒有設定 GTK_IM_MODULE=gcin，造成 install 1.3.1 後無法使用 gcin。所以把 gtk im module 的 language 適用範圍改回 '*'，省掉這個麻煩。
- 如果使用注音輸入拼音，現在可以 juyin-learn 可以顯示成聲調拼音的注音方式。
- gtab 在顯示片語的時候，如果遇到 http:// ftp:// 會不顯示這一部份，現在也改成至少顯示 18個 bytes。
- 新增設定文字及視窗背景顏色的功能。不過取消還原成系統的 theme顏色 後不會馬上還原，必須 pkill gcin。
- noseeing-inst bugfix from LGJ
- 使用一般輸入及萬用字元(*?) 查詢現在會顯示目前及總共的頁數。
- locale init patch from caleb.
- 注音新增 ㄦˋ:½  ㄙㄢ: ⅓、⅔   ㄙˋ: ¼、¾，需要的自行更新 ~/.gcin/pho.tab。
- 拿掉 DUAL_XIM ，因為 GTK/QT都有 im module，直接用 UTF-8，所以現在是用不到，如果還需要用，只好執行兩個 gcin。
- 在 beryl 及某些 window manager 下，firefox 會一直閃爍的問題。
- gtab 彈出式視窗輸入區空白的問題。


1.3.1:
- gtab key 超過5個則顯示部份符合的字無法使用。
- 詞音斷詞把較長的詞選用比例提高。
- 在不同的 gtab 輸入法切換輸入會造成當掉的問題。
- gtab 內用片語有時候會無法按數字鍵選擇的問題。
- gtab 詞的顯示長度限制在6個字。
- gtab 現在可以顯示詞的拆碼。也可以用詞音輸入詞後按 Enter 查詢 gtab 字/詞的拆碼，結果在 gtab 拆碼顯示區。
- 萬用字元如果顯示的字數過多，會導致 coredump 的問題。
- FreeBSD & MacOS gcin2tab 內改用 mergesort 以避免順序亂掉的問題。
- 詞音新增可以設定 shiftL, shiftR 或皆可切換中英的選項。
- gtk im module 的 language 適用範圍改成 zh_TW。所以當沒有設定 GTK_IM_MODULE 且 locale 有設定為 zh_TW 時會自動用 gcin。

1.3.0.1:
- ~/.gcin/icons 不存在 tray icon 不會顯示的問題。
- 改用新 icons。

1.3.0:
- gtab 使用 '*?' 萬用字元，當候選字小於選擇鍵的數量(10)，按空白鍵可以直接送出第一個字。Tetralet 的建議。
- 標點倉頡候選字出現後按',.;' 會導致 coredump。
- Kanru 提供的 Dvorak 注音鍵盤。
- 修正詞音有時候會詞庫錯亂的問題。如果出現這種情形，可以做編輯詞庫，不做任何事，跳出 editor。就可以重組 db index。
- 詞音在非結尾輸入的情形使用預選詞會產生覆蓋的情形。
- 如果 ~/.gcin/gtab.list 存在，gcin-setup 應該優先去用。感謝 candyz 回報這個問題。
- gcin-setup 現在可以顯示輸入法的 icon。

1.2.9: (11/15/2006)
- 使用者的 tray icons 改成放在 ~/.gcin/icons 以方便用 symbolic link 切換。
- 改用某位熱心人士提供的 tray icons，仍然歡迎繼續貢獻。
- 字重複的問題。例如輸入「怎麼走」會變成「怎走走」。
- 用 root 執行 noseeing-inst 現在會 install X蝦米 到 /usr/share/gcin/table & /usr/local/share/gcin/table(如果目錄存在)。
- 簡體字切換顯示在 FC6只能顯示紅點的問題。
- 在某些 WM(fvwm1) 輸入視窗會閃個不停的問題有改善。由於 keyboard focus 會被不正常地轉移到 gcin 的 window，有時候可能要 click 要輸入的區域。這個問題的根本原因是因為 WM or X11 server 不應該把 focus 設給有設定 override_redirect 的 window。
- FreeBSD /usr/bin/bash 的問題，在 ./configure 時會自動取代 /bin/bash -> /usr/bin/bash
- libgcin-im-client.so 加上 soname，thanks to candyz


1.2.8: (10/19/2006)
- 注音只能依順序輸入的問題。例如輸入ㄅㄧㄠ，不行輸入ㄅㄠ後再加ㄧ。
- gcin-message 不加任何參數去執行會導致 tray notification area coredump。現在會出現 usage。
- gnome/gtk 的程式裏面，如果你用其他語系的鍵盤例如latin，現在可以用右邊的 Alt 輸入特殊字母了。
- win-message 超出範圍的問題。Thanks to caleb.
- libgcin-im-client.so 及 部份功能搬到 /usr/local/lib/gcin 裡的.so，這樣就變成有需要才會 load 進來。gtk-im 及 qt-im 已經指定 /usr/local/lib/gcin 為 linking path，不會受到任何影響。如果有直接使用 libgcin-im-client.so 的 mrxvt/crxvt，可以直接 cd /usr/local/lib; rm libgcin-im-client.so; ln -s gcin/libgcin-im-client.so .，這樣可以減少memory 的使用且以後比較不會有不相容的問題。
- 如果用 gcin filter，ps 會看到很多殘留 zombie process 的問題。
   17424 tty3     00:00:00 gcin-filter <defunct>
- 新增 /usr/share/gcin/script/noseeing-inst，以一般使用者身份執行後可以自動安裝 LGJ's noseeing(X蝦米)。
- gtab.list 新增內碼輸入法的 filename intcode.png
- new gtk-im 加入 "seamonkey", "gnuzilla", "iceweasel", "icedove", "iceape"

1.2.7:
- 單字的詞現在不會在選詞時顯示了。
- 某些時候在選詞的視窗詞會重複列出的問題。
- 編輯區裝滿在移出一個字時會先把開頭的部份固定不讓整句斷詞變動，以免開頭不完整的詞造成錯誤的判斷。
- 編輯區裝滿時自動選字會發生詞庫明明就有這個詞卻不會去使用的問題，特別是前面有改字的情形。
- 輸入英數有時候後來輸入的中文字結合變成很奇怪的片語的問題。
- 新增 GCIN_OUTPUT_FILTER 這個 environ variable 可以用來指定 output filter。output filter 是一個任何類型的可執行檔，filter 從 stdin/stdout read/write data。gcin_filter 是一個 shell script範例，紀錄所有 output。
- 現在可以用 ~/.gcin/gcin-tray.png 取代 gcin 的 png。
- tray 的 font 改成 12x12。
- 詞音開始支援有聲調的拼音，可以選擇 (1234 or asdf)  選字詞。234用來輸入(234)聲。  輕聲(˙)可以用 (1 or .)輸入。目前純注音並不支援拼音。
- 新增一個可執行檔 gcin-message，可以通知 gcin 顯示 message, 語法為
	gcin-message -icon file_name -text string -duration milli_seconds
  其中 file_name 必須為 full_path name, 告訴 gcin 要顯示的 image file。 「-text」 是要顯示的 UTF-8字串(不得有空白)。 「-duration」 是顯示多久才關掉，單位是 0.001 秒。

1.2.6:
- 支援大易 「"{}_」的選擇鍵方式。
- 詞音裏面的英文模式現在 cursor 會顯示了。
- 預選詞超過9  or 10個，有些詞雖然使用頻率較高，卻仍然選不到的問題。
- 注音內定鍵盤改為「標準-asdf」
- 如果發現系統的單字詞庫(tsin-1.src) 比較新，現在會自動合併。
- gcin-tray.png 改成 24x24，原來的 24x19 在某些 taskbar 會造成問題。
- 注音拆字查詢的顯示改成先用使用者第一次內定的輸入法，如果內定的不是 .gtab 輸入法，則用最近一次的 .gtab輸入法，還是沒有就不顯示。
- 現在 Ctrl-Alt-G/R 仍然可以切換是否要簡體字輸出。
- 詞音只輸入一個單字時會依字使用的次數去選，不會以單字的詞優先。

1.2.5: (9/9/2006)
- tray 的簡體字狀態顯示在 FC5/Unbuntu 無法顯示的問題。
- 詞音選擇詞後，繼續輸入，之前選過的詞仍然會變的問題。
- 詞音的編輯緩衝區在輸入一長串後反應速度變很慢的問題。
- 把詞音末端的藍色的 cursor 拿掉，這樣看起來更簡潔/舒服。

1.2.4:
- gcin-setup 輸入法開啟與關閉的問題。
- 可能導致詞音當掉的問題。

1.2.3:
- 現在會自動複製一份單字的詞到使用者的詞庫。
- 如果有單字的詞時，預選詞視窗不會出現的問題。
- 詞音在選擇預選詞後仍然會變的問題。
- 詞音的資料格式有變動，使用次數統計由 8->32 bit，為避免造成相容的問題，gcin 現在使用的 db 是 ~/gcin/tsin32*。tsd2a 不變，gcin 的詞庫管理程式現在全部改成 tsa2d32, tsd2a32。gcin 會自動轉換，一般使用者不需要任何處理。
- freebsd .gtab 相同 keys，順序會亂掉的問題。Thanks to LGJ for testing
- 新增 command gcin-gb-toggle 程式，這樣就可以加在 hot keys 一類的程式切換簡/正體字。Thanks to caleb. 切換的 delay 縮短至 0.1 second.
- 注音新增希臘字母 ㄡ(Ω,ω) ㄉ(δ,Δ) ㄇ(μ) ㄒ(θ) ㄙ(Σ,σ)。
- gtab.list 新增 icon file name 的欄位，可以在 tray 顯示輸入法的 icon，icon file 可以放在 ~/.gcin or /usr/{local}/share/icons/gcin。目前缺各輸入法的 icons，詞音有一個測試的 icon，不怎麼好看。icon 的背景最好是透明的。
- 如果使用簡體字輸出則無法用 ctrl-alt-r or g 重複字串的問題。
- 內碼輸入法中按空白鍵關閉再按一次會切至內定輸入法的問題。
- updated man page from caleb
- 使用 pop-up 的視窗，右下角狀態視窗刪除，改成直接從 tray 顯示。

1.2.2:
- 新增整句斷詞的功能。
- 現在可以增加一個單字的詞如(是、與、及、不、誰)，如果沒有加，整句斷詞的功效會比較差。
- 現在 gcin 在 panel notification area 終於有 status icon 了。裏面的 menu 也可以選擇功能，按mouse左鍵可切換正/簡體字輸出，也可以顯示目前是否處於簡體字輸入的狀態。按中鍵可以切換輸入法。可以用 gcin-setup 切換是否要開啟，設定完後要自行 restart gcin。
- 新增正體字->簡體字的翻譯功能(trad2sim)。
- 注音輸入新增輸入希臘字母的功能(ㄚ/α，ㄅ/β，ㄍ/γ)，需要使用的自行更新 ~/.gcin/pho.tab。

1.2.1: (2006/5/9)
- 內碼輸入法現在可以用 menu 切換 Big5 or UTF-32(U+)。
- gcin2tab skip %encoding
- gedit 中無法使用 alt-F 的問題。

1.2.0:
- 錯誤訊息：GLib-CRITICAL **: g_source_remove: assertion `tag > 0' failed"
- candyz 提供的  patch gtk im module for MacOS Darwin fink。
- NEW_GTK_IM 改成內定是 'N'
- 新增 Tab 斷詞功能。內定是關閉，用 gcin-setup 打開。例如想輸入「台北是…」就可以用。

1.1.9:
- .gtab 新增CapsLock 打開輸入英數(大寫)的選項，內定是開啟的，可以在 gcin-setup 中設定。
- 在 firefox search text entry 現在輸入時不會被 firefox 的 history window 擋住。必須 install新的 im-gcin.so & libgcin-im-client.so。
- 符號視窗 (symbol-table) 現在可以用 # 當 comment。
- symbol-table 現在可以定義不同的頁，用空白行分頁，用滑鼠滾輪捲動。
- 近似音查詢會列出所有的聲調變化。
- gcin-setup 叫出簡體字->正體字以後，gcin-setup 會自動結束。
- 新增用 ctrl-alt-, 開啟/關閉符號輸入視窗。

1.1.8: (2005/4/3)
- 詞音英數的字在某些情況會與後來輸入的字結合變成詞的問題。
- 倉頡(cj*.cin) 空白鍵的處理方式改成與行列一樣，在按滿 5 鍵後，按空白仍然不會送出第一字。目前 Windows 的倉頡也是這樣，如果想回復成以前的方式，可以用 gcin-setup 指定或是修改 cj*.cin。
- 倉頡按 afmbc，如果預選及顯示部份符合的字關掉，只會在按空白鍵後才顯示。
- 大易現在按 keypad 區可以輸入數字。
- LANG=en_US 會導致 XIM 無法輸入中文的問題。
- gtab 同音字查詢 gtab 輸入視窗現在可以用 Escape key 關閉。
- gtk-im for firefox 的部份改寫。之前的 implementation 總覺得很 dirty，看會不會更穩。firefox 中 history window 擋住的問題也改善了。
- 修改 gtk im 以避掉 gnumeric 上的問題，方法是看目前是不是 mozilla 系列的程式在執行。目前的方式似乎只能在 linux 上用。
- firefox 1.5 用的 new gtk im 改成內定是開啟的。
- 內定的 XIM_NAME 由 xcin 改為 gcin。理論上 user 應該是不用改任何東西，因為會自動從XMODIFIERS=@im=xxx 抓，除非你自己設成不一致的情形。
- symbol table 新增愛心符號 ♥



1.1.7: (2005/2/22)
- client與 server 間如果是不同的 32/64  bit，會無法互通的問題，64-bit的使用者必須同時用新的 gcin server and libgcin-imclient.so。 
- 倉頡等輸入法中，如果沒有開啟預覽字，則只有在重覆字出現時才會顯示字。
- 只能用 LC_CTYPE 設定 locale 的 bug。
- 現在也可以在 Mandriva x86_64 上 intall to /usr/local了。不過只會 install 64-bit 的 .so。

1.1.6:
- XIM en_US.UTF-8 的支援，感謝某人提供的 patch。
- 在 gdmxnest 中 gcin 無法使用的問題。
- gcin 在 compile 時如果選擇 disable XIM ，則 gcin -v 不會顯示版本。
- gcin-setup 中字型大小的上限改為 32。
- 詞音的近似音查詢現在也可以設定字型的大小。
- 彈出式視窗現在可以按右下角的狀態視窗
	左:  顯示符號視窗  中:切換輸入法  右:執行 gcin-setup。


1.1.5:
- 使用最新的 GTK，gdm 會 coredump 的問題。如果 GTK 程式有不穩的情形，也建議 update 。
- 外觀設定中新增可以設定字型名稱的選項。 但是如果你的 GTK < 2.4，則無法在 gcin-setup 中設定。如果你有這種情形，可以用底下的方式設定。 echo "AR PL New Sung" > ~/.gcin/config/gcin-font-name
- gtab 輸入法，如倉頡，輸入「田木」 space，然後按 backspace，按「大」，會送出「田」的問題。
- remote client 的支援內定改為關閉。
- 新增拉丁字母輸入。需要者自行修改 gtab.list，看要 bind 到那一個 key，內定是不打開。源自http://www.calno.com/moto/gcin/cin/latin-letters.cin.bz2

1.1.4:
- 詞音在在輸入第一個字時(未選字或選字後)，如果詞的數量小於 10，現在也會彈出預選詞視窗。可以輸入「咖、哈、喇、卵」測試。
- 倉頡且使用 shift 輸入片語，shift-up arrow key 在 gedit 中不能被用來選擇範圍的問題，使用者同時必須刪除~/.gcin/phrase.table 中這一行定義 「k_up ┬」。

1.1.3: (2005/11/21)
- shift 輸入片語的問題。
- sim2trad 簡體字->正體中文有時翻譯不會出來的問題。
- 新增『標點倉頡』的輸入法。目前只是實驗性質，有更好的安排方式，歡迎貢獻出來。
  目前是排在 ctrl-alt-4。原來的帶調粵拼仍保留，請自行把 gtab.list 中的 '#' 拿掉。
  鍵盤的安排方式如下，這樣輸入中文的標點符號應該會更方便。
, ，
. 。
/ ？
;  ；
; ：
' 、
[ 「
[ 『 
[ 【
[ 《
] 」
] 』
] 】
] 》
- 把 leafpad 加入 utf8-edit 中。
-  注音加入偈「ㄐㄧˋ」的發音。


1.1.2:
- Alt-Shift 片語輸入新增：第一個字母如果是大寫，代表如果 CapsLock 打開時會用的片語，使用者必須自行編輯 ~/.gcin/phrase.table。目前內定的 phrase.table 在 CapsLock on 時，按 Alt-Shift + 九宮格 (keypad) 可以輸入雙線的格子╔╦╗。
- FREEBSD compile fix from chinsan & vanilla
- Backquote ` 如果定義在 .gtab 輸入法內，會自動把同音字查詢關閉。
- '!@#$' 等也可以用來定義輸入法，如果有定義，會自動把 shift- 輸入的功能關閉。現在最多可以定義到 63 keys。
- 有分大小寫的輸入法現在可以直接按 shift 來輸入大寫。
- 許式&倚天26鍵盤現在可以直接輸入「,./;」來輸入「，。？；」

1.1.1: (2005/10/30)
- gtab 「錯誤鍵進入選項」，要按第二次才會清除的問題，同時改成內定為開啟，而且會顯示紅色。
- 詞音如果用固定視窗位置會造成視窗不見的問題。
- 非精簡視窗會 crash 的問題。
- 注音新增輸入顯示移至第一列的選項。
- 詞音中如果是用 shift 切換中英，切換英文半全形會自動切到中文狀態的問題。

1.1.0: (2005/10/24)
- 用彈出式視窗，在使用 shift 輸入標點符號及英文字母時，第一個字不會顯示的問題。
- 近音查詢新增「ㄌㄖ ㄈㄏ ㄕㄙ」近似音。
- 新增可查詢注音的可執行檔 juyin-learn，可以從 gcin-setup 叫出來。
- 簡體字->正體中文翻譯改成獨立的程式，這樣用起來更方便，速度也更快。
- 詞音如果把空白鍵設定成送出編輯區內容，在編輯區是空的時候，在全形模式下，應該要送出全形的空白。
- gtab 新增輸入顯示移至第一列的選項。
- huki 回報有關 dayi3 的問題。

1.0.9: (2005/10/3)
- gtab (倉頡…) 與單純注音 新增「隱藏第二列」的選項，這樣就看起來最精簡了。
- gcin-setup->外觀設定中新增「顯示內框」的選項，目前是關閉的，所以看起來視窗會比較小，比較清爽。在某些舊的 gnome 必須打開，否則視窗會變成白色的。
- 取消「詞音在預選詞出現時，應該把 Shift 鍵切換中英關閉」，有副作用。
- 詞音Shift 中英切換改成按下與放開的時間必須在 0.3 秒以內。
- 近似注音查詢(向上鍵)顯示錯誤的注音的問題。
- 注音的顯示改成一般的聲調符號。
- 符號視窗的注音輸入提示頓號「、」會多顯示「、」的問題。使用者必須 update ~/.gcin/pho.tab


1.0.8: (2005/9/23)
- 在 OpenOffice 1.1.x .gtab (倉頡)輸入區被清掉的問題。
- Mandrake 10.0 及其他 distribution compiling errors 的一些修正。
- 使用彈出式視窗，詞音裏面的英文模式應該也要顯示輸入視窗，否則會看不見打什麼東西。
- 使用彈出式視窗則 gtab 無法用同音字查詢的問題。
- 詞音在預選詞出現時，應該把 Shift 鍵切換中英關閉。

1.0.7: (2005/9/18)
- 大易現在可以用 keypad 區的數字鍵選字。
- 使用 shift 輸入片語的人現在也可以用 shift-? 輸入片語 '？' 了。
- 彈出式輸入視窗新增「絕對右下角」的選項，如果你的 WM 會有 gcin window 閃爍的問題，例如 ICEWM，可以把這個選項打開並重新執行 gcin，就可以解決這個問題。不過有點可惜的是，用這個選項，狀態視窗就會蓋到 taskbar。

1.0.6: (2005/9/16)
- 純注音輸入的問題。

1.0.5:
- 新增彈出式輸入視窗的功能，在中文輸入狀態視窗是看不到的，但螢幕右下角會顯示目前的輸入法名稱，開始輸入以後，視窗就會出現。內定是關閉，在 「gcin-setup->外觀設定」中設定。
- 「gcin-setup -> 外觀設定」現在可以設定固定 gcin 視窗的位置。在 Gnome 中，如果把位置設定在 左下角，gcin window 會有被 panel 蓋掉不見的問題。
- 注意: Mandriva 2006 (cooker)， install 完 1.0.5 後要 install mozilla/firefox 最新的 fix， 否則 over-the-spot 會不正常。如果有困難，可以修改 ./configure 完後的 config.mak，改成 NEW_GTK_IM=N。其他的 distribution 新的 gtk-im 是不開啟的，和以前一樣。如果你是用 firefox 1.5 也可以用新的 gtk im module，一樣要 patch 過 firefox。

diff -b -u -r mozilla.orig/widget/src/gtk2/nsWindow.cpp mozilla/widget/src/gtk2/nsWindow.cpp
--- mozilla.orig/widget/src/gtk2/nsWindow.cpp   2005-07-01 12:29:41.000000000 +0800
+++ mozilla/widget/src/gtk2/nsWindow.cpp        2005-09-07 18:31:10.000000000 +0800
@@ -4405,6 +4405,9 @@
         delete[] textEvent.rangeArray;
     }

+    if (aLen == 0)
+        return;
+
     gint x1, y1, x2, y2;
     GtkWidget *widget =
         get_gtk_widget_for_gdk_window(this->mDrawingarea->inner_window);

這邊有 compiled 好的 .so file，要 gunzip & rename 回 libwidget_gtk2.so
http://www.csie.nctu.edu.tw/~cp76/linux/mozilla/mdk-firefox-thunderbird-1.0.6/cooker-new-gtkim-libwidget_gtk2.so.gz

由於最新的 firefox 1.5 & Mandriva 裏的 1.0.6 現在是在 on-the-spot 裏面的 compose event 回報 IM cursor 的位置，所以修改 gtk-im module，在按鍵時也會 trigger preedit_changed，以通知 mozilla 回報 cursor 位置。以前用的timer 的方式(ported from gtk1) 的確不好，要增加很多行，而且很 dirty。現在新的方式應該好很多，不過 mozilla 在處理 zero length preedit_change 方面還是有些問題，source code 還是必須增加兩行，希望 mozilla 這一次可以接受這個 patch。


1.0.4:  (2005/9/5)
- 現在詞音詞的選單的排列順序改成依詞的使用頻率排列，原來是用注音符號的順序。
- 現在 user 可以在 ~/.gcin 裏加自己的 gtab.list *.gtab，gcin 會優先使用這裡的 files。
- QT4 的 QT_IM_MODULE 支援，不過沒有實際測過。
- 新增輸入正體中文然後用簡體字輸出，用 gcin-setup 切換，不過不會顯示狀態。
- ./configure 時可以用 --use_xim=N，這樣就把 XIM 的支援拿掉，這樣 gcin 的可執行檔 size 就會小很多，135K -> 84K。 而且 mozilla/firefox 如果有開 flash plugin， pkill gcin 就不會導致 mozilla 的掛掉，這是因為 flash plugin 有 open XIM 的關係，XIM 有 bug。希望 XIM 能早日被淘汰。
- 詞音在按 ctrl-alt 切換到其他輸入法時，會自動送出編輯區的內容。例如想輸入「用γ射線]，現在切到希臘字母輸入法前就就不用按 enter 了。在OpenOffice 用希臘字母輸入法輸入字母還蠻好用的，不用切換 font 搞半天。
- gcin-setup 新增 clipboard 簡體字 -> 正體字 翻譯的功能。
- zh_CN 的 XIM 支援。
- gtab.list 的問題。
- SUSE gcin-setup gnome desktop 的 path fix。


1.0.3: (2005/8/19)
- QT_IM_MODULE=gcin 的支援。如果你的系統有支援(qt4.0 or Mandriva 2006)，會自動修改 /etc/sysconfig/i18n 加上QT_IM_MODULE=gcin。
- gtab.list 如果有拿掉一些，則會 coredump 無法 ctrl-shift 的問題。
- bugfix: 按「口 尸手」之後就按了space 接下來後悔再補上個「火」雖然能讓gcin出現「嗎」 再按一次space卻仍是無法輸出。


1.0.2:
- .gtab 輸入法中 新增 「Shift 用來輸入片語，等同按 Alt-Shift」的選項。
- xxx.gtab file name 超過 16 的問題。
- 現在 Gnome control center 裏面也可以看到 gcin。
- 現在可以設定詞音游標的顏色。
- gtab 選擇錯誤鍵進入(傳統)，在輸入錯誤鍵然後按 backspace 出現的問題。

1.0.1:
- 嘸蝦米設定成錯誤鍵進入空白清除(傳統)的問題。
- 詞音新增可以設定是否要輸入聲調符號(˙ˊˇˋ)的選項，內定是關閉的，因為大部分的人不需要輸入注音，多了反而造成困擾。
- 修正一些注音 UTF-8 巨大字集錯誤的發音。需要的人自行 cp /usr/share/gcin/table/pho-huge.tab ~/.gcin
- 圖釘無法使用的問題。
- 新增底下的注音以方便注音文的愛好者。需要的人自行 cp /usr/share/gcin/table/pho.tab ~/.gcin，
然後執行 tslearn再關閉，就不用重新啟動 gcin。
  ㄊ    他
  ㄊ	  她
  ㄊ‧  他  (由於！的注音是ㄊ，如果不想造成困擾，就用這一個。gcin 會根據使用頻率調整順序。)
  ㄊ‧  她
  ㄋ	   你
  ㄋ     妳
  ㄌ     了
- 按 ctrl-alt-G & ctrl-alt-R 都可以送出剛才打的字與詞。

1.0.0:
- 在倉頡行列中如果使用由詞庫自動選詞，gcin 會當掉的問題。
- .gtab 中預選列也可以顯示詞。
- 內碼輸入法的問題。
- 行列的 .cin 現在必須加上 '0 0'  '1 1'  …才可以輸入數字。
- 第一個鍵就是 endkey無法使用的問題。ctrl-alt-` 有一個測試的希臘字母輸入法。
- 採用 http://www.calno.com/moto/gcin/cin/nippon-sort.cin.bz2 的日文輸入法。
  按 ctrl-alt-= 就可以用。

0.9.9:
- 在詞音中用 shift + ',.;/' 輸入標點符號會 coredump 的問題。
- .gtab 辨別大小寫無法使用的問題。

0.9.8:
- 請注意，現在 gcin 已經把 UTF-8 4-byte 的支援改成內定，詞音的資料庫(~/.gcin/tsin) 會自動轉換，但是如果你有自行產生的 .gtab 輸入法(e.g. 嘸蝦米)，必須再重新執行 gcin2tab。
- 感謝卡拉蒙 ray2501.bbs bbs.ee.nchu.edu.tw 的行列輸入法二級簡碼支援。
- Alt-Shift 片語如果 CapsLock 打開則無法使用的問題。
- 修正一個 coredump。
- gcin-seutp 注音的設定的視窗大小縮小一些，原來的大小對 1024x768 的解析度來說太大了。
- 許氏鍵盤無法輸入  NYF哪  NYD拿  MYS嗎 的問題。
- .gtab 32767 個片語的限制現在沒有了。
- .gtab 由詞庫選字的正確率更高了。
- CH_SZ 設成 4 則無法做詞庫編輯的問題。
- 日文輸入拆字顯示的問題。
- gtab %endkey 增加到 64，這樣就可以定義單鍵的西歐輸入法而不用按空白。
- 感謝 chinsan 提供的詞庫。
- gtab 新增 %keep_key_case 的選項，用在需要分別大小寫的輸入法像日文。
	%space_style 4
	%keep_key_case                           <---------------------------
	%keyname begin
- .cin 新增 %space_style 的選項，後面的數字代表的意義。
	1:	嘸蝦米、大易
	2:	倉頡等
	4:	行列輸入法
   有了這個，且在 gcin-setup 中設定成「由 .gtab 指定」，就可以自動設定空白鍵的選項，而且用 ctrl-alt- 切換輸入法時也會自動切換。

%selkey 1234567890
%space_style 2
%keyname begin



0.9.7:
- 嘸蝦米用 wildcard (*?) 符合的字超過10個沒有辦法顯示的問題。
- 新增 ctrl-alt-G 重複送出的字串。
- 找到 input focus 錯亂的原因，如果 mozilla/firefox 裏面有 Macromedia flash plugin，會 open root style 的 XIM，這邊 concurrent 處理有問題。雖然情況有改善，flash plugin 仍然有問題。如果你正在用某個程式用 gcin 輸入，然後 firefox 剛好開了一個 新的flash，會造成 gcin 的 window 不見，這是 flash 第一次開啟時亂送 focus-in 的問題，必須把 flash 的 bug 解掉。
- 如果候選字超過10個，就不使用嘸蝦米的空白鍵方式，以免無法選字。
- gtab 輸入區的字型大小現在最小可以設定成 0。
- 許氏注音鍵盤無法輸入 「hwf好  hnf很  hid還」 的問題。
- 新增 files of man page gcin.1 gcin2tab.1, 由某位熱心人士提供。

0.9.6:
- 注音現在也可以用精簡視窗了，gcin-setup 中的顯示狀態列的部份也有些變動，注音與詞音是共用此設定，喜歡大視窗的人自己把精簡視窗選項關閉。
- 注音現在現在也可以設定注音輸入區的字型大小，而且可以馬上作用，不必重新執行 gcin。
- 許氏注音鍵盤無法輸入【kgf可  gxij怪  nef你   mef米】 的問題。
- 加回 focus-out 關閉 gcin Window，因為並沒有解決某些人 OO 的問題，而且造成某些人 gcin window 不會自動關掉的問題。

0.9.5:
- 把 focus-out 關掉視窗的部份拿掉，看這樣有沒有改進某些程式亂送 focus-out 的問題，這樣做的問題是如果移到沒有使用輸入法的程式則視窗不會自動關掉。
- debug 訊息忘記關掉。

0.9.4:
- 詞音用英數輸入數字或字母後注音選字順序會跑到前面的問題。
- 現在可以任意設定詞音的標示詞的底線的顏色，在gcin-up 注音的設定裏面。
- 內碼與簡易沒有辦法在 gcin-setup 中關閉的問題。
- gcin-setup 裏面改用絕對路徑執行 tsa2d & tsd2a，以避免執行到舊版本的問題。
- 詞音選詞以後現在會畫底線。
- FreeBSD 上的問題。
- gcc-4.0 compile 的問題，Thanks to Funda Wang for reporting this problem.

0.9.3:
- gcin-seutp 新增匯入系統詞庫的功能。
- [倉頡/全] 無法直接輸入「，．／；」的問題。
- 現在可以設定詞音的編輯緩衝區的大小，如果輸入超過，是一個字擠出去，而不是全部送出，這點與 xcin 不同。
- 使用許氏注音鍵盤且使用巨大utf8字集時某些字沒有辦法輸入的問題。
- 按 ctrl-space 以後會自動切回半形的問題。
- 4 bytes UTF-8 的支援這次真的改好了。
- 注音與 gtab全形中文狀態按空白應該要出現全形空白。
- gtab (倉頡…)現在可以獨立設定輸入區的字型大小。
- 新增簡易輸入法，按 ctrl-alt-減號
- 簡易輸入法的問題，會出現 10 個候選字。


0.9.2:
- 如果是把預設的輸入法設定成注音，則視窗仍然會超出螢幕範圍的問題。
- 純注音現在也可以用符號視窗。
- 全形輸入改成與 xcin 一樣。
- 英文全形中無法使用 alt-shift-?? 輸入的問題。
- gtab 新增「錯誤鍵進入&space清除選項(傳統)」的選項，內定是按錯鍵不會進去且發出警告聲。
- 新增「ㄌㄟˊ蕾」「ㄑㄧˋ鍥」[哇噻 ㄨㄚˋ ㄙㄞˇ]
- tslearn 同音字現在會依使用頻率排序。
- 詞音如果同音字輸入超過 65535 次則自動選字可能預選出不好的字的問題。
- 4 bytes UTF-8 的支援，把 gcin.h #define CH_SZ (3)裡的 3 改成4，由於這會造成檔案格式的改變，而且需要的人是少數中的少數，所以目前並沒有打算要變成內定，需要的人自行打開。

0.9.1:
- 預選詞視窗新增 incremental search。例如想要輸入「台灣啤酒」，輸入「台灣」後跑出一大串預選詞讓你選，要看半天。這時候可以輸入ㄆ，就可以把範圍縮小到只有台灣啤酒，方便你選擇。
- 詞音的視窗如果太寬，在按 enter 後，不會自動把視窗移至游標位置的問題。
- 新增「ㄊㄧˋ 剔」，正確的發音應該是第一聲，只是很少人這麼講。
- 注音新增 「鱒」
- gtab 拆字顯示現在可以用滑鼠選擇&複製到 clipboard
- 注音 & gtab 視窗太長會跑出螢幕範圍外的問題。
- 嘗試解決 over-the-spot 有時候不正常的問題，希望這次可以解決。

0.9.0:
- 現在 shift-space 可以直接進入全形英文模式，內定是開啟的，如果不喜歡，可以在 gcin-setup 中關掉。
- 新增 xcin cvs 注音巨大 UTF-8 字集，感謝【某某】。可以直接用 gcin-setup 設定是否要使用，內定是關閉的。
- 現在輸入法視窗沒有開啟也可以用 alt-shift-
- 詞音在注音輸入狀態按 '~' 可以輸入 '~' or '～' 了。
- 詞音在注音輸入狀態現在按 shift-space 可以切換半/全形。
- 想輸入 '玉是'，如果我們一開始就選玉，則不應該出現 '浴室' 的預選詞。
- 詞音新增根據使用次數自動關閉/打開詞的功能，如果有詞沒有被使用(改字)超過一次，則以後就這個詞就不會被使用，但如果使用數次之後就會自動恢復。
- alt-shift+【`-='\】現在也可以用了。
- gtab (倉頡、行列) 等輸入法現在可以關掉輸入法名稱的顯示，這樣視窗就更小了。
- gtab 在輸入區按 mouse 中鍵現在可以 pop-up 切換所有輸入法的視窗。
- phod2a dump 半形字會有問題。


0.8.9:
- 詞音現在用 CapsLock 切到英文輸入時，會把注音輸入區藏起來，這樣感覺比較好。
- /etc/sysconfig/i18n 內現在會加 XIM_PROGRAM=gcin
- gcin 有時候會無法 over-the-spot的問題，試試看有沒有改善。
- 如果內定是 ctrl-alt-3 的注音輸入法，第一次會有無法使用的問題。
- 注音輸入無法輸入(˙ˊˇˋ) 的問題。
- 詞音中數字鍵 + space 也可以用來輸入全部的半形數字。
- 現在可以輸入「ㄇ˙」來輸入「嗎」，「ㄉ˙」來輸入「的」使用者必須自行 cp /usr/share/gcin/table/pho.tab ~/.gcin。
- 現在也會抓 LANG 來判別是否要用 UTF-8， for SUSE。
- 新增「倉頡五」，按 ctrl-alt-2 就可以了。
- 輕鬆輸入法 (ez7) 的支援，由於需要改變 gtab 的 format，user 必須自行修改 gtab.h
 把  #define LARGE_GTAB 0 改成 #define LARGE_GTAB 1，重新 compile，generate 所有的 gtab files。


0.8.8:
- 現在可以用注音輸入半/全形 數字 (0..9 及減(-)) 及 用 [] 鍵輸入'()[]{}'，現在也可以加入含有數字的詞，譬如 
「7月, 5點, 3個」。另外，你也可以用這來儲存電話的號碼，只要用注音輸入電話的前兩碼然後用 shift 選就可以了。也可以輸入英文字母，直接按英文然後按空白，不過選英文字時有標準及倚天兩種鍵盤可以選擇，第一組是標準的，接下來是倚天的。
- 現在可以打ㄍ來輸入「個」。
- 選字以後仍然會變的問題。例如想輸入「選字有」，一開始會變「選自」，把「自」改成「字」以後，接下來輸入「有」時會變成「選自有」

0.8.7:
- 詞音 alt-shift-key 現在會送字到編輯區，而不是直接到程式。
- gcin-setup 新增符號表編輯 & alt-shift 編輯。
- alt-shift 的 file 改成在 ~/.gcin/phrase.table，如果 user 改了 file，就會自動 reload。
- 詞庫編輯現在會自動從 gedit, kedit or kate 中找一個來當 utf8 editor
- gtab 中如果顯示部份符合的字是關閉的，則現在不會把 window 長大。
- 把拆字顯示關閉以後，如果使用 wild card，顯示出來的拆字不會清除的問題。
- 倉頡 yhmbc 無法選第二個字的問題。
- 似乎 fixed 了一個 64 bit 的問題。

0.8.6:
- 新增 gtab 是否要顯示拆字結果的選項，但如果使用 wild card 仍然會顯示。
- 把 Changelog 加到 .rpm 內。

0.8.5:
- 新增 gtab(倉頡、行列、嘸蝦米) 較小視窗選項。
- 拿掉 gtab 的半形輸入顯示區，改成在輸入法內顯，以縮小視窗，而且避免造成混淆。
- 萬用字 wild card(*?) 改成 xcin 的操作方式，不用按 space。不過與 xcin 仍有不同，按了 *? 之後，就近入第一頁，如果再按空白，是進入第二頁，這邊與 xcin 不同。
- gtab 預覽如果沒有打開，則 wild card 選擇無法顯示的問題。

0.8.4:
- 這次似乎找到了真正行列當掉的原因。

0.8.3:
- 行列輸入法按全形逗號 '，' 候容易當掉的問題。 .gtab file 必須重 build。
- 「關於gcin」的相關問題。
- 倉頡、行列輸入法中，現在可以直接輸入 linux，就可以跑出 Linux，其餘的輸入法可以自己加到 .cin 後重新執行 gcin2tab。還有(gnome kde gaim gcin xmms xine gedit kate kedit adsl hbo tvbs dvd vcd lcd)    新加入的 keys 不要與原有的重複，如果原有的本來就重複，那就沒關係。


0.8.2:
- over-the-spot 有時候位置錯誤的問題。
- logo 換了，雖然不是很好看，至少不會造成混淆。
- 可以在 gcin-setup 中叫出「關於」的視窗。

0.8.1:
- 嘗試解決 SUSE window 會閃爍的問題。

0.8.0:
- 詞音中，現在 ' (quote) 可以輸入、號，但倚天鍵盤除外，因為會與ㄘ衝。
- 現在也可以輸入注音符號的第幾聲(˙ˊˇˋ)了，使用者必須自行 cp /usr/share/gcin/table/pho.tab ~/.gcin

0.7.9:
- 倉頡 & 嘸蝦米無法輸入數字的問題。

0.7.8:
- XIM root input style 無法使用的問題。

0.7.7:
- 行列現在可以輸入數字。
- 行列 ar30.cin 新增 endkey 1234567890，這樣用 w + '123456780' 來選擇符號時就不用多按空白鍵。

0.7.6:
- gtab(倉頡、嘸蝦米、行列) 現在關閉視窗前會把內容清除。
- 新增【帶調粵拼】

0.7.5:
- 詞音選字視窗不會自動關起來的問題。

0.7.4:
- 由於 Fedora 沒有把 /sbin 加入 PATH中，所以 ldconfig 會失敗。
- IM server & client 如果是不同的 endian，則會 connect 失敗。

0.7.3:
- Thanks to swyear for the install script for SUSE 9.1 and 9.2.
- 注音第幾聲會多送字母的問題。

0.7.2:
- Fedora 等沒有 /usr/bin/update-menus 的 distribution 出現 install 的 error
- gcin-setup 設定第一次內定的輸入法有些改進。

0.7.1:
- gtab 現在可以定義超過 5 個鍵的輸入法，最多可以到 10 鍵(64-bit)。
- 新增拼音輸入。
- For Mandrake 9.2 & 10.0： modify-XIM 會修改 /usr/X11R6/bin/crxvt 'xcin-zh_TW' -> '#xcin'，這樣就不會執行兩份 gcin，或無法叫出 gcin。
- 現在按 Shift-1 會跑出全形的 '！' ，Thanks to yuanchao (at) gmail com。不過還是建議輸入 'ㄊ' + space 會更簡單，因為手不用移那麼遠去按。

0.7.0:
- 嘸蝦米 使用 '* ?' wildcard 替代鍵查詢後，選字錯誤的問題，Thanks to LGJ for reporting this bug.
- 改用 regular expression 去 match '* ?'，現在應該比以前更正確了。

0.6.9:
- 嘸蝦米 無法使用 '* ?' wildcard 替代鍵查詢的問題。
- 大易在按空白鍵後進入選字狀態，接著按 '6789'，不會自動送字。
- 大易在按空白鍵後無法用 keypad 區的 6789 選字。

0.6.8:
- 修改 gtab 以符合 Windows 嘸蝦米的選擇方式。同時，大易輸入法現在會顯示 "'[]-=' 來當選擇鍵。

0.6.7:
- 任何時候 gtab(倉頡、行列、嘸蝦) 按 keypad 區的數字鍵會出現數字。
- 在詞音中可以按向上鍵來尋找近音字 (ㄣ ㄥ 等)。

0.6.6:
- 把 README 改成 UTF-8 編碼。
- 由於嘸蝦米字的拆法特多，造成顯示拆法區的字串一大串，看起來怪怪的，現在嘸蝦米改成用半型英文顯示，情形改善不少。

0.6.5:
- 新增關掉 gcin remote client 支援的選項 ，如果你是 su 成另外一個 user，這個選項仍然必須打開，否則無法輸入中文。
- install scripts 為了 Fedora/SUSE 有些修正。 Thanks to swyear@bbs.openfind.com.tw, starjou.bbs@bbs.sayya.org and candyz.bbs@bbs.sayya.org。
- 改字以後不會連成詞的問題。例如，我們要輸入 '要方便'，到第二個字時變成 '藥方'，這時候按空白鍵選 '方' 改回 '要方'，接下來輸入'便'時會跑出 '變'，沒有組成 '方便'。

0.6.4:
- GTK_IM_CLIENT=gcin 用 GTK 的 mouse 右鍵來使用切換輸入法 menu ，容易造成當掉的問題。
- 大易輸入法 圖(7oo)，無法輸入的問題。感謝 kiwi03.bbs@ptt.cc 回報問題。 
- gcin 有時候會當掉的問題，不過，由於 gcin 在 GTK_IM_MODULES=gcin 時有自動重新啟動的功能，
  這個問題一般是感覺不到。
- 注音新增塵(ㄇㄢˊ) 這一個 UTF-8 才有的字。使用者必須自行  cp /usr/share/gcin/table/pho.tab ~/.gcin


0.6.3:
- 許氏鍵盤裡  『按』打不出來，打法是 MJ，但是打出來是『》』，Thanks to formulaone.bbs@ptt.cc
- 注音 新增 ㄋㄜ‧ 呢
- 為了許氏注音鍵盤新增輸入ㄣ，卻可以選擇ㄋ，Thanks to stick.bbs@bbs.cis.nctu.edu.tw
   使用者必須自行  cp /usr/share/gcin/table/pho.tab ~/.gcin
- Fedora Core 3 的 install script 有問題，/etc/alternatives/xinput-zh_TW 會被弄壞。


0.6.2:
- Makfile install 的問題，感謝 diadia.bbs@bbs.sayya.org 回報問題。
- 詞音輸入法使用許式鍵盤"而"(ld)打不出來
- 新增類似嘸蝦米的同音字查詢，按 '`' (backquote) 後就會出現注音的視窗，輸入要查詢的同音字就可以了。
- connected to unix socket addr /tmp/gcin-????/socket-:0.0-xcin 的訊息，現在內定是關閉的，如果要打開，可以用 export GCIN_CONNECT_MSG_ON=

0.6.1:
- 詞音如果編輯區內有文字時，向上鍵現在不會移動到應用程式的游標位置。感謝  garychang.bbs@bbs.ee.ttu.edu.tw, PCMan.bbs@bbs.sayya.org 提供的 patch 。
- GTK_IM_MODULE connection 沒有 closed 的問題。
- 設定 GTK_IM_MODULE=gcin 有時會跑到 ROOT input style 的問題，gcin 視窗不會跟著 cursor 移動。
- gcin-setup 中加上 gedit --encoding big5 README 以避免在 UTF-8 環境下， gedit 顯示出亂碼。
- tslearn 有時候按 Add 會有問題。
- 選擇 .tar.bz2 install 者，由於 少了 
     cd /etc/gtk-2.0; gtk-query-immodules-2.0 > gtk.immodules.lib 
  這一個步驟，GTK_IM_MODULE=gcin 會有問題。

0.6.0:
- gcin-setup OK button 改成 gnome 的 icon。
- 注音 "性問" 的問題，感謝 PCMan.bbs@bbs.sayya.org 回報問題，這是詞庫資料的問題，'免'這個字的注音有問題。
- 詞音如果編輯區內有文字時，向左向右鍵現在不會移動到應用程式的游標位置。

0.5.9:
- 修正了 root input style ，回復到以前跟著 mouse pointer 跑的方式。
- 現在會自動加 GTK_IM_MODULE 到 /etc/sysconfig/i18n

0.5.8:
- 詞音: 新增選項，空白鍵可以設定成是選擇同音字/詞或是送出編輯區的內容。
  不過建議還是用原來的選擇同音字較佳，因為使用向下鍵去選字比較麻煩，必須移動手到向下鍵。
- 新增 Control-Shift 循環切換輸入法，在 gcin-setup 中也可以設定要循環的輸入法，譬如你可以只選嘸蝦米 &
  注音，這樣用注音查詢字根就更容易了。同時 gnome-terminal 下切換輸入法也更容易了。
- 詞音: 現在可以在注音輸入鈕中按滑鼠中鍵來切換輸入法，所以把狀態列關閉後，現在也可以切換輸入法。
- 謝謝 scsi@msxx.com.tw 回報 Gentoo build 的問題並提供建議。
- 詞音使用 asdf 選擇時，CapsLock 如果有打開，則無法選字的問題。
- 開啟詞音視窗時，上一次沒打完的注音現在會被清除。

0.5.7:
- 詞音輸入法用 Caps Lock 中英切換切換完後，按 Ctlr-Space 關閉 gcin 視窗後會
  還原開啟視窗時的大小寫狀態。
- 現在有選項可以把詞音輸入的狀態列關閉，這樣看起來視窗更小更簡潔。
- 注音 倚天 26 '自'無法輸入的問題。
- 新增 GTK_IM_MODULE im-gcin.so
- 詞音由於現在有了 key release event，現在也可以用 Shift 來切換中/英 (限 GTK_IM_MODULE=gcin)
- 新增【大易】輸入法。
- 感謝 ar30.cin from cherico.bbs@ptt.cc: 【行列】同時輸入Unicode中所有的漢字，
  包括簡體，繁體，日文漢字等。

GTK_IM_MODULE 使用 gcin 自己的 .so，和XIM相比， 有何好處？
  1. gcin 掛掉重新執行時比較不會有程式跟著一起掛掉的情形，現在可以直接在 gnome-terminal 下 
      'pkill gcin'，不用擔心 gnome-terminal 會停在那邊不動。       
  2. GTK2 的程式 locale 即使設定成 zh_TW.Big5 也還是可以輸入所有的 UTF-8 字。
  3. gcin 的協定對 input focus 的處理比 XIM 好。
  4. client 直接 對 gcin server 互傳資料，不透過 X server，延遲會比較少。
  5. 如果發現 gcin server 沒有在執行，會自動執行 gcin。

0.5.6:
- 許式鍵盤 ( v 吃) 無法輸入的問題。
- 倚天 26 (ULㄩ ㄥ  XTㄨ ㄤ  EP ㄧ ㄡ) 無法輸入的問題。

0.5.5:
- gcin-setup 裡 gtab 的設定視窗按 ok 後不會關起來的問題。
- gtab 行列有時按預選列中的字無法選擇的問題。
- 許式鍵盤無法輸入 '詞' 等字的問題。
- 現在可以單獨設定詞音裏的注音輸入的區域的字型大小。有時候必須設定到比編輯區的小一些，畫面才不會跳動。
- gcin locale 現在也會看 LC_ALL，如果有設定，會優先於 LC_CTYPE 的內容，這是為了解決目前 C library 'LC_ALL' 設定以後，LC_CTYPE 不會同時被更改的問題。
- 現在會自動修改 Mandrake 10.1 的 /etc/sysconfig/i18n  & /usr/X11R6/bin/crxvt，把原來的給 SCIM 用的設定換成 gcin。
- phod2a 現在真正會 dump 使用者的注音資料。


0.5.4:
- 在 KDE environment (konsole...)， gcin 視窗位置的問題應該會改善不少。
- 詞音 Backspace 的問題。
- gcin-setup 把外觀設定與 gtab 的設定分開。


0.5.3:
- 嘸蝦米在輸入空白之後，未打完會自動送字的問題。
- 嘸蝦米如果選擇預選列中顯示部份符合的字，有時候按空白不會自動送第一個字的問題。

0.5.2:
- 注音/詞音的注音鍵盤中的倚天/標準 asdf 的選擇由 9 鍵改為 10 鍵，新增 ';' 選擇。
- 注音/詞音/gtab 輸入法如果使用 firefly 宋體，輸入區域大小會變動，導致畫面會
  跳動的問題。這是因為 firefly 宋體 ASCII space 不是全形字體一半寬度的緣故。
- 新增選項，現在可以把注音依使用頻率調整順序的功能關掉。
- 行列無法使用 w0..w9 選擇符號的問題。
- gtab 新增選項，預選列中是否要顯示部份符合的字。
- 現在用 gcin-setup 設定 gtab 字型大小可以馬上作用，不用重新執行gcin 。

0.5.1:
- 把 UTF-8 的決定由 'LC_ALL' 改為 LC_CTYPE，Thanks to L.G.J.
- 詞音的預選詞視窗 & 符號視窗 字型大小現在可以單獨設定。
- 選擇 .tar.bz2 install 者 /usr/lib/menu/gcin* 內的 file 有問題
- gtab 新增按滿是否要自動送字的選項。

0.5.0:
- 新增嘸蝦米空白按鍵的選項，但是用了以後就不會自動由詞來選字。

0.4.9:
- gtab(倉頡、行列、嘸蝦米等) 有時候會 coredump 的問題。感謝 Chung-Yen Chang 的協助。
- Apply gtab X modifier patch from diadia.bbs@bbs.sayya.org
- Bug in kbmcv，在 gcc 3.4 上不能 build。 Thanks to (GPC發行的FFC)

0.4.8:
- 新增(注音/詞音) 許式鍵盤、倚天26鍵及倚天26鍵-asdf 的支援
- gtab(倉頡、行列…等) 如果覺得在輸入時，預覽/預選字畫面會跳動，現在有選項可以關掉。

0.4.7:
- gtab(倉頡、行列…等) 輸入法在 reiser file system 第一次選字時會停頓一分鐘的問題，其他 file system 
  停頓 0.5 秒的問題也沒有了。

0.4.6:
- Apply Suse install script from swyear@bbs.openfind.com.tw
- 現在詞音中可以用asdf來選字或詞，這樣就比數字鍵更容易選，不用移開手指。
- 全形英數字輸入的問題。

0.4.5:
- gcin 在 root input style (gedit, gnome-terminal ...) 的 window， focus-in/focus-out 時 window
  跑來跑去的情形改善了不少。
- gtab(倉頡、行列…等) 輸入法現在支援詞庫自動選字。
- 內定輸入法如果選擇 詞音以外的輸入法，在設定視窗改變設定以後設定無法馬上作用的問題。
- 詞音/注音 中[ ] 鍵定義為以下標點符號，按空白鍵或向下鍵去選，有如一般同音字一樣。
  【 「
  【 【
  【 『
  【 《
   】 」
   】 】
   】 』
   】 》
- Thanks to diadia.bbs@bbs.sayya.org. for the new 行列輸入 ar30.cin
- 現在可以設定 gcin 輸入視窗的開啟/關閉鍵。


0.4.4:
- tslearn 加入新詞後會 coredump 或 詞音資料庫錯亂的問題。

0.4.3:
- .cin 一行有空白結尾的問題。

0.4.2:
- 按向下鍵選詞會出現錯誤的詞的問題。

0.4.1:
- 注音輸入按空白選下一頁後選字會錯誤的問題。
- 行列新增 (方方土 hhr)(酉每 apoz)(吉吉 r;r;)(火宣 ,naa)
- gcin 現在會自行抓 XMODIFIERS=@im=?? 的內容來決定內定的 XIM name。

0.4.0:
- gcin 的內部資料庫，已經全部轉成 UTF-8 encoding，所以現在注音/詞音可以輸入(方方土)等的 utf-8，如果要編輯 gcin 的 file，必需使用支援 utf8 encoding 的 editor 如 'gedit'，儲存的時候要確定是存成 UTF-8 encoding。
- install 0.4.0 前請先把 詞音的資料庫匯出，並且用 iconv 轉成 utf-8 encoding：
       執行 gcin-setup  做匯出詞庫的動作，存成 tsin.src.big5
       執行 iconv -f big5 -t utf-8 tsin.src.big5 > tsin.src.utf-8
       install gcin 0.4.0， 接著匯入詞庫，file name 是 tsin.src.utf-8
- 如果已經執行 0.4.0 想還原成原來的資料(在 ~/.gcin.big5)，請重新 install 0.3.x 並執行以下動作
        rm -fr .gcin
        mv .gcin.big5 .gcin      
        接下來就可以做上述的 匯出詞庫 & encoding 轉換動作。
- gcin 現在內定可以執行一個 process 卻可以同時支援雙 Big5 & UTF-8，以下是一個範例，
      export GCIN_XIM=xcin
      export LC_ALL=zh_TW.Big5
      export XMODIFIERS=@im=$GCIN_XIM
      ./gcin.test &
      sleep 1
      rxvt.bin &

      export LC_ALL=zh_TW.UTF-8
      export XMODIFIERS=@im=$GCIN_XIM.UTF-8
      gedit

  gcin 會自動多一個 zh_TW.UTF-8 的 XIM server，在上面一個例子中， crxvt 是用 zh-TW.Big5，
  gedit 是用 zh_TW.UTF-8，如果你想要把 這個功能關掉，可以用，
      export GCIN_DUAL_XIM_OFF=


0.3.1:
- gtab 按滿 (行列4鍵、倉頡5鍵)後必須選字時，再按空白鍵時，現在新增選項可以選擇是要設定成自動選第一個字或是維持在選字狀態。
- gtab 輸入法中如果有重複定義且有定義詞會導致 coredump 的問題。
- Apply 行列輸入 .cin patch from diadia.bbs@bbs.sayya.org
- Alt-Shift-? 可以送出 '？'
- 新增 IBM 注音鍵盤。

0.3.0:
- 倉頡行列輸入法重複字選擇鈴聲現在可以選擇關掉，鈴聲也比以前短很多。
- Alt-Shift 片語多送字母的問題。
- gcin 輸入視窗向下移一點以避免與輸入行重疊。

0.2.9:
- 詞音在編輯區輸入很長的字串後會當掉的問題。
- 無蝦米中 yobo 嘉喜順序會變的問題。 感謝 Bloody.bbs@wretch.twbbs.org 回報問題。
- 詞音選擇預選詞後某些詞會找不到的問題。

0.2.8:
- 把gcin 的 內部 locale 設為 zh_TW.Big5
- 現在按詞音的'注'的按鈕也可以切換中英輸入。
- 支援假的 UTF-8, 把 LC_ALL=zh_TW.UTF-8 就會使用 UTF-8, 不過 gcin 內部 DB 仍然是 big5，所以仍然不能輸入(方方土) 的 utf8 字。
- 行列30 新增 g.; 啟 to ar30.cin  (Thanks to 呆呆 at SayYA)
- fixed 一些 memory leak

0.2.7:
- 內定重覆字選擇鍵改為10鍵。
- 現在按視窗左下角輸入法名稱的按鈕可以切換輸入法，像在 gnome-terminal 內不能用 ctrl-Alt- 切換輸入法時就可以用。
- 倉頡與行列輸入法現在可以輸入全形字了。

0.2.6:
- 行列還原成 ar30.cin
- 詞音的 shift-space 全半形切換變成只能在英文輸入狀態切換，中文狀態按 shift-space 就變成把編輯區的內容送出。

0.2.5:
- 無蝦米無法使用的問題。
- 倉頡 & 行列 改成用 xcin 的。

0.2.4:
- 行列無法輸入'一'的問題。
- 行列/倉頡 新增 shift 輸入英文字母。
- Ctrl-Alt-非0..9 會當掉的問題。

0.2.3:
- gtab (行列 & 倉頡)現在也可以固定視窗位置了。
- 左符號，右設定的提示，在 user 使用 gcin-setup 後會自動關掉。

0.2.2:
- gcin 視窗沒有開啟卻可以切換全/半形的問題。
- 新增倉頡 & 行列輸入法。
- Alt-Shift-key 輸入符號現在可以用了。

0.2.1:
- more FreeBSD port fix from statue.bbs@bbs.sayya.org
- 輸入 '【】' 注音會當掉的問題。

0.2.0:
新增下列符號的注音，
ㄣ‧  『   (引號)
ㄣ    『   (因與恩同音，應避免使用)
ㄣˊ   』
ㄣˇ  「
ㄣˋ   」
ㄌ2   –    (連接號)
ㄇ3   《
ㄇ4    》  (書'名'號)
ㄌ     …   (省'略'號)
ㄆ4    —   (破折號)
ㄒ     ℃   (攝氏 Celsius)
ㄒ2    ㏄   (毫升)

- 現在滑鼠的指標移到符號視窗的按鈕，約一秒鐘會顯示對應的注音按鍵提示，方便學習。
- Apply FreeBSD patch (not complete) from statue.bbs@bbs.sayya.org
- 選字時，相鄰的字會變來變去的問題。


0.1.9:
- Delete 鍵現在可以用了。
- gcin 在輸入文字後，現在必要時會移動視窗以避免超出範圍無法顯示。
- 輸入視窗長到很寬的時候有時候會當掉的問題。
- Thanks to statue.bbs@bbs.sayya.org for the configure bug fix.
- Tooltip on 注音輸入 button 指示使用者按鍵。
- 選字時，相鄰的字會變來變去的問題。
- rpm -e 時不會還原 /etc/X11/xinit/XIM 以避免 Mandrake urpmi 直接 upgrade 的問題。

0.1.8:
Thanks to  garychang.bbs@bbs.ee.ttu.edu.tw for reporting the following two bugs.
- 輸入 "測試" 後按 shift + 1 (無論是否有用 shift + space 切換全半形)，
  第一下都出不來，要按到第二次 shift + 1 才會出來。
- 輸入 "哈哈" 後按 enter ，再按 shift + 1 ，會跳出一些東西來。 (換成 "測試" 也
  會)

Thanks to xacid.bbs@wretch.twbbs.org for the suggestions
- ctrl-u doesn't compact the window size.
- 符號視窗 symbol table 改成 ~/.gcin/symbol-table。 gcin 會偵測 file 是否有改
  變，自動 reload 檔案
- Ctrl- Alt- 不能用的問題。
- Redhat install scripts


0.1.7:
  - 刪除半形的英文字時視窗會變大的問題，這一次真的完全 fixed 了。
  - 你可以按輸入視窗中的圖釘來固定或解除固定視窗。
  
0.1.6:
  - 執行 phoa2d 後會叫 gcin 重新 load 注音的資料
  - 刪除半形的英文字時視窗會變大的問題。

0.1.5:
  - 有時候會當掉，特別是mozilla，希望這一版有修正這個問題。

0.1.4:
  - 主輸入視窗改成用 gtk2, 所以背景顏色會隨 theme 變換顏色，看起來更一致。
    也有使用者介面來修改字體的大小。
  - 英文模式下不應該用酷音的標點符號輸入方式
  - 修正了 xacid.bbs@wretch.twbbs.org report 的一些 bugs
  - 新增詞庫編輯的功能

0.1.3:
  - bugfix 酷音標點符號輸入 '；：' 位置弄反了
  - 滑鼠指標移到 gcin 的視窗時會把改成手的圖案提示 user 可以按此

0.1.2:
  - 詞音現在也可以用向上鍵把選注音字詞的視窗往回捲一頁
  - 中英切換時游標會改變大小以顯示目前的狀態

0.1.1:
  - 字形 vga8x16 改成用 8x16. 感謝 (jserv.bbs@ofo.csie.ntu.edu.tw)
  - 新增酷音的標點符號的輸入方式  Thanks to d2207197.bbs@bbs.sayya.org
  - bugfix : 符號視窗有時候會開不起來.

